Author Topic: Can't install Carlos development modules on PI 1.8.5  (Read 831 times)

Offline wimvb

  • PixInsight Enthusiast
  • **
  • Posts: 91
    • View Profile
    • Wims place
Can't install Carlos development modules on PI 1.8.5
« on: 2017 September 13 13:35:59 »
Hi,

in the previous version (1.8.4) of PixInsight, I had Carlos Milovic's development modules installed, mainly the TGV and Intensity transformation modules (TGV-pxm and CMIntensity-pxm). But on the new version, I can't install these anymore. Is there any way to get these back? Will they be updated to the new core version??

Cheers,

Wim
Wim

AZ EQ6 GT + EQ3 PRO, SW 150P-DS, SW MN190, ZWO ASI174MM-Cool, Pentax K20D (retired),
SW ST80 + ZWO ASI120MM + Lin_guider

Offline wimvb

  • PixInsight Enthusiast
  • **
  • Posts: 91
    • View Profile
    • Wims place
Re: Can't install Carlos development modules on PI 1.8.5
« Reply #1 on: 2017 September 30 04:02:05 »
This question is still unanswered.
I have used Carlos' modules quite intensively in my processing. But since I upgraded to v 1.8.5, I can't install them anymore. Is there any chance of the modules being updated to the new version? Or is it possible to compile and install by users??

Any feedback would by greatly appreciated.

Wim
Wim

AZ EQ6 GT + EQ3 PRO, SW 150P-DS, SW MN190, ZWO ASI174MM-Cool, Pentax K20D (retired),
SW ST80 + ZWO ASI120MM + Lin_guider

Offline FunTomas

  • PixInsight Addict
  • ***
  • Posts: 135
    • View Profile
    • Astrofoto.sk
Re: Can't install Carlos development modules on PI 1.8.5
« Reply #2 on: 2018 March 30 06:15:55 »
I have same question. I cannot anymore use Carlos modules. Is here anyone that know the answer.

Offline msmythers

  • PTeam Member
  • PixInsight Jedi
  • *****
  • Posts: 1176
    • View Profile
    • astrobin
Re: Can't install Carlos development modules on PI 1.8.5
« Reply #3 on: 2018 March 30 08:17:16 »
All of Carlos's modules were development only, not official PI release versions. If you go to his website he mentions that the source code is available upon request. http://www.astrophoto.cl/Research.html 
I guess if someone wanted to try to recompile these modules for PI 1.8.5 they would start by contacting Carlos.

In another post he has stated that he is extremely busy with writing papers. https://pixinsight.com/forum/index.php?topic=12126.msg74375#msg74375
I believe this is for a Ph.D so you can see why he would be busy. I would not expect Carlos to be actively working on these modules currently.

One of the aspects of PI I like compared to other software is the freedom of being able to use code, compiled modules and scripts that is not from PI(Juan) but from users. As someone who uses modules and scripts that are not part of the standard PI distribution I understand that at anytime these tools may no longer work. These particular tools from Carlos have lead me to have a copy of PI V1.8.4 installed on another computer. That is how much I like his code. While not ideal this is my current work around. Someday I hope they will run on the current PI but I can't expect that to be the case.


Mike

Offline wimvb

  • PixInsight Enthusiast
  • **
  • Posts: 91
    • View Profile
    • Wims place
Re: Can't install Carlos development modules on PI 1.8.5
« Reply #4 on: 2018 March 30 12:32:18 »
Thanks for the reply, Mike.
Thesis work would keep anyone busy, without thought of anything else.
Some of Carlos' tools are so good that they could be made part of the standard package, imo.
Wim

AZ EQ6 GT + EQ3 PRO, SW 150P-DS, SW MN190, ZWO ASI174MM-Cool, Pentax K20D (retired),
SW ST80 + ZWO ASI120MM + Lin_guider